Subject: Re: [Rserpool] ASAP Data.Received

From: Randall Stewart <[email-masked]>
Date: Tue, 10 Apr 2001 09:27:37 -0500

Catching up on old email... :0

"Gradischnig, Klaus" wrote:
> 
> A quick search of the archives did not come up with an answer to the
> following question, so I'd appreciate some clarification:
> 
> draft-xie-rserpool-asap-01.txt, 2.1.6, states:

> 
>   A) If the name translation local cache is implemented at the receiver's
>      ASAP layer, a reverse mapping from the sender's IP address to the
>      endpoint name should be performed and if the mapping is
>      successful, the sender's ASAP endpoint handle should be
>      constructed and passed in the senderAddress field.
> 

I think the answer to the above is a terminology problem. The draft
SHOULD say
"the sender's Transport Address" ... not "the sender's IP address". 

R

> Now, if I understood the draft correctly, an ASAP node can host can host
> multiple ASAP endpoints. So, looking up a sender's IP address can result in
> multiple names which is suboptimal, as the sender, if it is part of a pool,
> (probably?) will have sent this message under a particular pool-identity.
> If it is or can be important to know the name of the sender, then it should
> be resolved uniquely (using perhaps the SCTP port?), if not, then there
> seems to be no reason to do it at all.
> Also, in the former case, if the name is not in the cache, should not an
> attempt be made to receive it (eventually) from an ENRP server (requiring
> new ASAP messages)?
> 
> Cheers,
> 
> Klaus
> 
> Klaus D. Gradischnig
> NeuStar, Inc.
> +1 202 533 2815
> 
> _______________________________________________
> rserpool mailing list
> [email-masked]
> http://www.ietf.org/mailman/listinfo/rserpool

-- 
Randall R. Stewart
Systems & Solutions Engineering
Cisco Systems Inc.
[email-masked] 815-342-5222 or 815-477-2127

_______________________________________________
rserpool mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/rserpool